package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Organization;
import com.lightinit.hsdatashow.entity.OrganizationExample;
import com.lightinit.hsdatashow.model.admin.EducationOrganizationResultModel;
import com.lightinit.hsdatashow.model.ms.EducationEditResultModel;
import com.lightinit.hsdatashow.model.ms.EducationOrganizationResoultModel;
import com.lightinit.hsdatashow.model.ms.EducationOrganizationSearchModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrganizationMapper {
    long countByExample(OrganizationExample example);

    int deleteByExample(OrganizationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Organization record);

    int insertSelective(Organization record);

    List<Organization> selectByExample(OrganizationExample example);

    Organization selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Organization record, @Param("example") OrganizationExample example);

    int updateByExample(@Param("record") Organization record, @Param("example") OrganizationExample example);

    int updateByPrimaryKeySelective(Organization record);

    int updateByPrimaryKey(Organization record);

    List<EducationOrganizationResultModel> getEducationOrganization(@Param("categoryCode")String categoryCode,@Param("name") String name );

    List<EducationOrganizationResoultModel> getEducationList(EducationOrganizationSearchModel searchModel);

    int getEducationCount(EducationOrganizationSearchModel searchModel);

    String getOrgCode(@Param("parentCode") String parentCode);

    EducationEditResultModel getEducationById(long id);
}